Substy Developers
Intelligence

Search intelligence mentions

Find creators, scripts, automations, media, fans or conversations that can be referenced in a Substy Intelligence message. Filter by mention type and return up to 30 matches.

GET/v1/agencies/{agencyId}/intelligence/mention-search

Find creators, scripts, automations, media, fans or conversations that can be referenced in a Substy Intelligence message. Filter by mention type and return up to 30 matches.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

query*string
Lengthlength <= 100
types?array<>
Itemsitems <= 6
limit?integer
Range1 <= value <= 30
Default15

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/intelligence/mention-search?query=string" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "type": "script",      "id": "string",      "label": "string",      "creatorLabel": null    }  ],  "meta": {    "requestId": "string"  }}